Bug 503998 - Xorg server generates <cr> infinitely
Xorg server generates <cr> infinitely
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 14:11 EDT by Michael McLagan
Modified: 2018-04-11 08:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:32:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (286 bytes, text/plain)
2009-06-05 00:01 EDT, Michael McLagan
no flags Details
Broken server log file (22.80 KB, text/plain)
2009-06-05 00:02 EDT, Michael McLagan
no flags Details
Working (current) log (22.99 KB, text/plain)
2009-06-05 00:03 EDT, Michael McLagan
no flags Details
Boot messages from dmesg (22.76 KB, text/plain)
2009-06-05 00:08 EDT, Michael McLagan
no flags Details

  None (edit)
Description Michael McLagan 2009-06-03 14:11:32 EDT
Description of problem:

Installing the latest update xorg-x11-server-Xorg makes X unusable.  The initial login screen for kdm allows entry of a userid and password but once the login completes the keyboard becomes unresponsive and an rxvt session behaves like the 'return' key is stuck down.  No other keyboard input is accepted, using right click menus immediately activate the first item listed, etc.

xorg-x11-server-Xorg-1.5.3-5.fc10.i386 works normally.  Upgrading only to new server causes the problem.

The system is a VAIO laptop, running vanilla 2.6.29.4 and the following RPMs:

rpm -qa | grep xorg-x11
xorg-x11-drv-mouse-1.3.0-2.fc9.i386
xorg-x11-server-utils-7.4-3.fc10.i386
xorg-x11-xauth-1.0.2-5.fc10.i386
xorg-x11-utils-7.4-3.fc10.i386
xorg-x11-apps-7.3-5.fc10.i386
xorg-x11-fonts-100dpi-7.2-6.fc9.noarch
xorg-x11-server-devel-1.5.3-15.fc10.i386
xorg-x11-fonts-Type1-7.2-6.fc9.noarch
xorg-x11-drv-synaptics-0.15.2-4.fc10.i386
xorg-x11-fonts-truetype-7.2-3.fc8.noarch
xorg-x11-drv-vga-4.1.0-5.fc8.i386
xorg-x11-drv-fbdev-0.3.1-7.fc9.i386
xorg-x11-drv-void-1.1.1-9.fc9.i386
xorg-x11-xinit-1.0.9-4.fc10.i386
xorg-x11-drv-evdev-2.1.3-1.fc10.i386
xorg-x11-drv-keyboard-1.3.2-1.fc10.i386
xorg-x11-xdm-1.1.6-8.fc10.i386
xorg-x11-fonts-ISO8859-1-75dpi-7.2-6.fc9.noarch
xorg-x11-font-utils-7.2-6.fc10.i386
xorg-x11-xkb-utils-7.2-7.fc10.i386
xorg-x11-fonts-misc-7.2-6.fc9.noarch
xorg-x11-fonts-75dpi-7.2-6.fc9.noarch
xorg-x11-server-Xorg-1.5.3-5.fc10.i386
xorg-x11-util-macros-1.1.6-2.fc10.i386
xorg-x11-proto-devel-7.4-5.fc10.noarch
xorg-x11-server-common-1.5.3-15.fc10.i386
xorg-x11-filesystem-7.3-2.fc10.noarch
xorg-x11-resutils-7.1-6.fc10.i386
xorg-x11-fonts-ISO8859-1-100dpi-7.2-6.fc9.noarch
xorg-x11-drv-nv-2.1.12-6.fc10.i386
xorg-x11-drv-vesa-2.2.0-3.fc10.i386

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.5.3-15.fc10.i386.rpm

How reproducible:

Always

Steps to Reproduce:
1.  Install broken RPM
2.  Restart X, log in (kdm/kde)
3.  Open rxvt/konsole from an autostart script
  
Actual results:

Prompt repeats infinitely, keyboard does not respond to Ctl-Alt-Del, Ctl-Alt-BS or anything else.

Expected results:

Single prompt and normal keyboard responses

Additional info:
Comment 1 Matěj Cepl 2009-06-04 07:14:08 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Michael McLagan 2009-06-05 00:01:22 EDT
Created attachment 346602 [details]
xorg.conf
Comment 3 Michael McLagan 2009-06-05 00:02:18 EDT
Created attachment 346603 [details]
Broken server log file
Comment 4 Michael McLagan 2009-06-05 00:03:11 EDT
Created attachment 346604 [details]
Working (current) log
Comment 5 Michael McLagan 2009-06-05 00:08:13 EDT
Created attachment 346605 [details]
Boot messages from dmesg
Comment 6 Bug Zapper 2009-11-18 05:04:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 04:32:05 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.